[SRU] Fix transmission-qt to open magnet links from a browser

Bug #1093220 reported by Rohan Garg on 2012-12-23
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
transmission (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

[Impact]
* Users can't open magnet links from browsers when using transmission-qt
* Upstream bug report : https://trac.transmissionbt.com/ticket/4901

[Test Case]
* Install transmission-qt
* Try opening a magnet link from a torrent site. Sample link : magnet:?xt=urn:btih:5f37f3ea084b9fd5b15a653922f1e85b4d368ab5&dn=Kubuntu+Linux+12.10+Quantal+Quetzal+%2832-bit%29&tr=udp%3A%2F%2Ftracker.openbittorrent.com%3A80&tr=udp%3A%2F%2Ftracker.publicbt.com%3A80&tr=udp%3A%2F%2Ftracker.istole.it%3A6969&tr=udp%3A%2F%2Ftracker.ccc.de%3A80

* transmission-qt launches but doesn't add the torrent
* Install chromium and the updated package
* Try to open same magnet link using chromium, transmission-qt should add the torrent

[Regression Potential]
* None

Rohan Garg (rohangarg) wrote :
Rohan Garg (rohangarg) wrote :
Rohan Garg (rohangarg) wrote :
Micah Gersten (micahg) on 2013-01-07
Changed in transmission (Ubuntu Raring):
status: New → In Progress
assignee: nobody → Micah Gersten (micahg)
Micah Gersten (micahg) wrote :

Uploaded to raring, please forward to Debian

Changed in transmission (Ubuntu Raring):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package transmission - 2.73-1ubuntu2

---------------
transmission (2.73-1ubuntu2) raring; urgency=low

  [ Rohan Garg ]
  * Fix magnet link handling for transmission-qt [LP: #1093220]
    - Add fix_transmission_qt_desktop_file.patch

  [ Micah Gersten ]
  * Mark Vcs-* as XS-Debian-Vcs-*
    - update debian/control
 -- Rohan Garg <email address hidden> Mon, 07 Jan 2013 01:04:16 -0600

Changed in transmission (Ubuntu Raring):
status: Fix Committed → Fix Released
Micah Gersten (micahg) on 2013-01-11
Changed in transmission (Ubuntu Quantal):
status: New → In Progress
Changed in transmission (Ubuntu Precise):
assignee: nobody → Micah Gersten (micahg)
Changed in transmission (Ubuntu Quantal):
assignee: nobody → Micah Gersten (micahg)
Changed in transmission (Ubuntu Precise):
status: New → In Progress
Micah Gersten (micahg) wrote :

Waiting in quantal-proposed

Changed in transmission (Ubuntu Quantal):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Fix Committed
Micah Gersten (micahg) wrote :

Uploaded to precise-proposed, sorry for the delay

Changed in transmission (Ubuntu Precise):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Fix Committed

Hello Rohan, or anyone else affected,

Accepted transmission into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/transmission/2.51-0ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Rohan Garg (rohangarg) on 2013-02-12
description: updated
description: updated
Harald Sitter (apachelogger) wrote :

works on precise

tags: added: verification-done-precise
Julian Taylor (jtaylor) wrote :

can't get the link to work in quantal chromium or opera (they just reject the url) but it works with firefox, adding of regular torrents still works too.

tags: added: verification-done
removed: verification-done-precise verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package transmission - 2.51-0ubuntu1.2

---------------
transmission (2.51-0ubuntu1.2) precise-proposed; urgency=low

  * Fix magnet link handling for transmission-qt [LP: #1093220]
    - Add fix_transmission_qt_desktop_file.patch
 -- Rohan Garg <email address hidden> Thu, 10 Jan 2013 23:44:44 -0600

Changed in transmission (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package transmission - 2.61-0ubuntu2.1

---------------
transmission (2.61-0ubuntu2.1) quantal-proposed; urgency=low

  * Fix magnet link handling for transmission-qt [LP: #1093220]
    - Add fix_transmission_qt_desktop_file.patch
 -- Rohan Garg <email address hidden> Thu, 10 Jan 2013 23:40:51 -0600

Changed in transmission (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers